const { oneLine } = require('common-tags');
const Command = require('../base');
const { RichEmbed } = require('discord.js')

module.exports = class PingCommand extends Command {
	constructor(client) {
		super(client, {
			name: 'ping',
			group: 'util',
			memberName: 'ping',
			description: 'Checks the bot\'s ping to the Discord server.',
			throttling: {
				usages: 5,
				duration: 10
			}
		});
	}

	run(msg) {
		msg.say('Please Wait...').then(sent => {
			const embed = new RichEmbed()
			.setTitle('Pong:')
			.setColor('0x36393F')
			.addField('» Gateway:', Math.round(this.client.ping) + 'ms', true)
			.addField('» Message:', sent.createdTimestamp - msg.createdTimestamp + 'ms', true)
			sent.edit(embed)
		})
	}
};
